## org.biojava.bio.dp
Class Transition

    java.lang.Object
      org.biojava.bio.dp.Transition

All Implemented Interfaces:
  java.io.Serializable

public class Transition
extends java.lang.Object
implements java.io.Serializable

This is a small and ugly class for storing a transition. It is hash-code-able, and has a sensible equality operator.

Author:
  Matthew Pocock
See Also:
  Serialized Form

Field Summary
`State` `from`
`State` `to`

Constructor Summary
`Transition(State from, State to)`

Method Summary
`boolean` `equals(java.lang.Object o)` Two transitions are equal if they have the same from and to states.
`int` `hashCode()` The hash code is from.hashCode() ^ to.hashCode()

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### from

    public State from

### to

    public State to

Constructor Detail

### Transition

    public Transition(State from,
                      State to)

Method Detail

### equals

    public boolean equals(java.lang.Object o)
                   throws java.lang.ClassCastException

  Two transitions are equal if they have the same from and to states.

  Throws:
    `java.lang.ClassCastException`

### hashCode

    public int hashCode()

  The hash code is from.hashCode() ^ to.hashCode()